from django.db import models
from django.utils.translation import gettext_lazy as _

from aleksis.core.mixins import ExtensibleModel


class Client(ExtensibleModel):
    name = models.CharField(verbose_name=_("Name"), max_length=255, unique=True)
    email = models.EmailField(verbose_name=_("Email"))

    def get_payment_variant_choices(self):
        return [(v._class_name, v.verbose_name) for v in self.payment_variants.all()]

    def __str__(self):
        return self.name

    class Meta:
        verbose_name = _("Client")
        verbose_name_plural = _("Clients")
